For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETUser Accounting
      • GETGrowth Accounting
      • GETCohorts
      • GETCustomer Cohorts
      • GETConcentration
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataProduct

Customer Cohorts

GET
/api/v1/group/:group_id/deal/:deal_id/data/customer-cohorts
GET
/api/v1/group/:group_id/deal/:deal_id/data/customer-cohorts
$curl -G https://app.termina.ai/api/v1/group/1/deal/1/data/customer-cohorts \
> -H "Authorization: Bearer <token>" \
> -d user_type=business \
> -d metric=metric
1[
2 {
3 "cohort": "2026-01",
4 "user_id": "user_1",
5 "period": 1,
6 "cohort_size_amount": 250000,
7 "logo_retention": 1,
8 "amount": 200,
9 "amount_retention": 0.8,
10 "ltv": 500
11 }
12]
Get the product cohorts for the company associated with the deal.
Was this page helpful?
Previous

Concentration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Query parameters

user_typeenumRequired
metricstringRequired
freqenumOptional
Allowed values:

Response

Successful Response
cohortstring
The date of the cohort.
user_idstring

The user identifier for the user-cohort.

periodinteger
The period since the user joined. 0 is the first period.
cohort_size_amountdouble
The size denominated in the metric amount of the cohort.
logo_retentiondouble
Whether or not the user is active in the period.
amountdouble
The active amount, such as revenue or gtv, in the period for the user in the period.
amount_retentiondouble

The amount retention rate, defined as amount / cohort size amount.

ltvdouble
The cumulative lifetime value in terms of the metric amount up until the period, on average per user in the cohort.

Errors

422
Unprocessable Entity Error